Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class ApplicationUtils

    java.lang.Object
      com.developmentontheedge.application.ApplicationUtils

public class ApplicationUtils
extends java.lang.Object

Field Summary
`static java.util.Locale` | `locale`

Constructor Summary
`ApplicationUtils()`

Method Summary
`protected static void` | `ApplicationassertDialog(java.lang.Exception e, java.lang.String msg)`
`static void` | `assertNotNull(java.lang.Object o, java.lang.String msg)` Deprecated.
`static void` | `assertTrue(boolean o, java.lang.String msg)`
`static void` | `browse(java.lang.String url)`
`static void` | `copyFile(java.io.File dst, java.io.File src)`
`static void` | `copyFile(java.io.File dst, java.io.File src, FunctionJobControl jc)`
`static void` | `copyFile(java.lang.String dst, java.lang.String src)`
`static FunctionJobControl` | `createFunctionJobControl(org.apache.log4j.Category cat)`
`static javax.swing.JWindow` | `createSplashScreen(java.net.URL url)`
`static boolean` | `dialogAreYouSure(java.lang.String msg)`
`static void` | `errorBox(javax.swing.JFrame frame, java.lang.String title, java.lang.String msg)`
`static void` | `errorBox(java.lang.String msg)`
`static void` | `errorBox(java.lang.String title, java.lang.String msg)`
`static void` | `errorBox(java.lang.Throwable ex)`
`static java.lang.String` | `format(double v, java.lang.String format)`
`static java.lang.String` | `getCommonParent(java.lang.String name1, java.lang.String name2)`
`static java.util.ArrayList` | `getFiles(java.io.File dir)`
`static java.util.ArrayList` | `getFiles(java.io.File dir, java.util.Set excludedNames)`
`static javax.swing.JFrame` | `getFrame()`
`static javax.swing.ImageIcon` | `getImageIcon(java.lang.String imagename)`
`static javax.swing.ImageIcon` | `getImageIcon(java.net.URL url)`
`static java.lang.String` | `getLastToken(java.lang.String str, java.lang.String delimeters)`
`static int` | `getMaxHeight(java.awt.Container cont)`
`static java.awt.Dimension[]` | `getMaxMinDimensions(java.awt.Container cont)`
`static int` | `getMaxWidth(java.awt.Container cont)`
`static int` | `getMinHeight(java.awt.Container cont)`
`static int` | `getMinWidth(java.awt.Container cont)`
`static javax.swing.ImageIcon` | `getResourceImageIcon(java.lang.String imagename)`
`static int` | `getScreenHeight()`
`static int` | `getScreenWidth()`
`static boolean` | `isJar(java.lang.String name)`
`static java.lang.String` | `itoa(int j, int fieldSize)`
`static void` | `messageBox(javax.swing.JFrame frame, java.lang.String title, java.lang.String msg)`
`static void` | `messageBox(java.lang.String title, java.lang.String msg)`
`static void` | `moveToCenter(java.awt.Component f)`
`static void` | `removeDir(java.io.File dir)`
`static void` | `runTimeConsumingTask(java.lang.Runnable task)`
`static void` | `runTimeConsumingTaskInSeparateThread(java.lang.Runnable task)`
`static void` | `setFrame(javax.swing.JFrame fr)`
`static void` | `setResourcesPath(java.lang.String str)`
`static void` | `sortFiles(java.io.File[] files)`
`static javax.swing.JPanel` | `unitPanel(java.awt.Component comp1, java.awt.Component comp2)`
`static javax.swing.JSplitPane` | `unitPanel(java.awt.Component comp1, java.awt.Component comp2, int splitType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locale

    public static final java.util.Locale locale

Constructor Detail

### ApplicationUtils

    public ApplicationUtils()

Method Detail

### setResourcesPath

    public static void setResourcesPath(java.lang.String str)

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.net.URL url)

### isJar

    public static boolean isJar(java.lang.String name)

### errorBox

    public static void errorBox(java.lang.Throwable ex)

### errorBox

    public static void errorBox(java.lang.String msg)

### getFrame

    public static javax.swing.JFrame getFrame()

### setFrame

    public static void setFrame(javax.swing.JFrame fr)

### errorBox

    public static void errorBox(java.lang.String title,
                                java.lang.String msg)

### errorBox

    public static void errorBox(javax.swing.JFrame frame,
                                java.lang.String title,
                                java.lang.String msg)

### messageBox

    public static void messageBox(java.lang.String title,
                                  java.lang.String msg)

### messageBox

    public static void messageBox(javax.swing.JFrame frame,
                                  java.lang.String title,
                                  java.lang.String msg)

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.lang.String imagename)

### format

    public static java.lang.String format(double v,
                                          java.lang.String format)

### getResourceImageIcon

    public static javax.swing.ImageIcon getResourceImageIcon(java.lang.String imagename)

### assertNotNull

    public static void assertNotNull(java.lang.Object o,
                                     java.lang.String msg)

  Deprecated.

### assertTrue

    public static void assertTrue(boolean o,
                                  java.lang.String msg)

### ApplicationassertDialog

    protected static void ApplicationassertDialog(java.lang.Exception e,
                                                  java.lang.String msg)

### getMinHeight

    public static int getMinHeight(java.awt.Container cont)

### getMinWidth

    public static int getMinWidth(java.awt.Container cont)

### getMaxHeight

    public static int getMaxHeight(java.awt.Container cont)

### getMaxWidth

    public static int getMaxWidth(java.awt.Container cont)

### getMaxMinDimensions

    public static java.awt.Dimension[] getMaxMinDimensions(java.awt.Container cont)

### itoa

    public static java.lang.String itoa(int j,
                                        int fieldSize)

### unitPanel

    public static javax.swing.JPanel unitPanel(java.awt.Component comp1,
                                               java.awt.Component comp2)

### unitPanel

    public static javax.swing.JSplitPane unitPanel(java.awt.Component comp1,
                                                   java.awt.Component comp2,
                                                   int splitType)

### getScreenWidth

    public static int getScreenWidth()

### getScreenHeight

    public static int getScreenHeight()

### dialogAreYouSure

    public static boolean dialogAreYouSure(java.lang.String msg)

### copyFile

    public static void copyFile(java.lang.String dst,
                                java.lang.String src)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### copyFile

    public static void copyFile(java.io.File dst,
                                java.io.File src)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### copyFile

    public static void copyFile(java.io.File dst,
                                java.io.File src,
                                FunctionJobControl jc)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeDir

    public static void removeDir(java.io.File dir)

### getFiles

    public static java.util.ArrayList getFiles(java.io.File dir,
                                               java.util.Set excludedNames)

### getFiles

    public static java.util.ArrayList getFiles(java.io.File dir)

### sortFiles

    public static void sortFiles(java.io.File[] files)

### moveToCenter

    public static void moveToCenter(java.awt.Component f)

### createSplashScreen

    public static javax.swing.JWindow createSplashScreen(java.net.URL url)

### createFunctionJobControl

    public static FunctionJobControl createFunctionJobControl(org.apache.log4j.Category cat)

### runTimeConsumingTask

    public static void runTimeConsumingTask(java.lang.Runnable task)

### runTimeConsumingTaskInSeparateThread

    public static void runTimeConsumingTaskInSeparateThread(java.lang.Runnable task)

### browse

    public static void browse(java.lang.String url)

### getLastToken

    public static java.lang.String getLastToken(java.lang.String str,
                                                java.lang.String delimeters)

### getCommonParent

    public static java.lang.String getCommonParent(java.lang.String name1,
                                                   java.lang.String name2)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.